GET api/pcapi/pc/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
PCViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| db_login | string |
String length: inclusive between 0 and 50 |
|
| db_name | string |
String length: inclusive between 0 and 50 |
|
| db_password | string |
String length: inclusive between 0 and 50 |
|
| db_source | string |
String length: inclusive between 0 and 50 |
|
| id | globally unique identifier |
None. |
|
| local_ip | string |
String length: inclusive between 0 and 15 |
|
| lock_id | globally unique identifier |
None. |
|
| mac_address | string |
Required String length: inclusive between 0 and 30 |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_type_id | globally unique identifier |
None. |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| site_id | globally unique identifier |
None. |
|
| zone_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"cleanroom_id": "dfc415bb-e94c-47e2-a9ed-fc59a4beec4b",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "85f308b7-0c5b-4666-aa02-10edf666c19f",
"local_ip": "sample string 7",
"lock_id": "a6eb7e22-e312-43a2-850d-2a446610f19c",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "5eaec97b-892d-41a0-a0cf-1d9f9a894080",
"rights": [
{
"code": "sample string 1",
"id": "013ca1ae-02dc-4618-8a87-aa23f99edd58"
},
{
"code": "sample string 1",
"id": "013ca1ae-02dc-4618-8a87-aa23f99edd58"
}
],
"site_id": "b65b59bc-ac2e-4d68-ad10-30faec138e5f",
"zone_id": "26e0a2d0-8cd9-49c4-8cc2-3ffa87f9ef44"
}
application/xml, text/xml
Sample:
<pc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<cleanroom_id>dfc415bb-e94c-47e2-a9ed-fc59a4beec4b</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>85f308b7-0c5b-4666-aa02-10edf666c19f</id>
<local_ip>sample string 7</local_ip>
<lock_id>a6eb7e22-e312-43a2-850d-2a446610f19c</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>5eaec97b-892d-41a0-a0cf-1d9f9a894080</pc_type_id>
<rights>
<right>
<ID>013ca1ae-02dc-4618-8a87-aa23f99edd58</ID>
<code>sample string 1</code>
</right>
<right>
<ID>013ca1ae-02dc-4618-8a87-aa23f99edd58</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>b65b59bc-ac2e-4d68-ad10-30faec138e5f</site_id>
<zone_id>26e0a2d0-8cd9-49c4-8cc2-3ffa87f9ef44</zone_id>
</pc>